<?php

namespace App\Form;

use Symfony\Component\Form\AbstractType;
use Symfony\Component\OptionsResolver\OptionsResolver;

/**
 * FormType using the Bootstrap library
 *
 * Disable browser-validation and use Bootstrap client-side validation
 *
 * @package App\Form
 */
abstract class AbstractBootstrapForm extends AbstractType {
    /**
     * @inheritDoc
     */
    public function configureOptions (OptionsResolver $resolver) {
        parent::configureOptions($resolver);

        $resolver->setDefaults(
            [
                'attr' => [
                    'class'      => 'form-validation',
                    'novalidate' => 'novalidate',
                ],
            ]
        );
    }
}